import numpy as np
from math import sqrt
from statistics import mode


def NNClassifier(training, testing, training_labels, testing_labels, k):
    # preallocate labels
    predicted_labels = np.zeros(len(testing_labels)).astype(str)

    # run knn on each point and assign its label
    for i in range(len(testing)):

        # fill in the labels with knn
        predicted_labels[i] = knn(training, training_labels, testing[i, :], k)

    # return % where prediction matched actual
    return sum(predicted_labels == testing_labels) / len(predicted_labels)


def knn(data, data_labels, vector, k):
    # preallocate distance array
    # distances = zeros(1, length(data_labels));
    distances = np.zeros(len(data_labels))

    # calculate distances
    for i in range(len(distances)):
        distances[i] = sqrt(((data[i].astype(float) - vector.astype(float)) ** 2).sum())

    # set labels
    indexes = np.argsort(distances)

    # take vote amongs top labels
    to_vote = data_labels[indexes]
    return mode(to_vote[:k])
