from sklearn.neighbors import KNeighborsClassifier
from sklearn.svm import SVC


def SKLearnKnnClassifier(training, testing, training_labels, testing_labels, k):
    # instantiate model
    knn = KNeighborsClassifier(n_neighbors=k)

    # fit model to training data
    knn.fit(training, training_labels)

    # predict test labels
    labels = knn.predict(testing)

    # return % where prediction matched actual
    return sum(labels == testing_labels) / len(labels)


def SKLearnSVMClassifier(training, testing, training_labels, testing_labels):
    # instantiate model
    svm = SVC(kernel="rbf")

    # fit model to training data
    svm.fit(training, training_labels)

    # predict test labels
    labels = svm.predict(testing)

    # return % where prediction matched actual
    return sum(labels == testing_labels) / len(labels)
